GET
/api/v1/rds/cluster/{Cluster_id}/snapshot
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/rds/cluster/{Cluster_id}/snapshot?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/rds/cluster/{Cluster_id}/snapshot", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/rds/cluster/{Cluster_id}/snapshot");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Cluster_id
required
integer
Cluster Id
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Responses
Section titled “Responses”Successfully retrieved snapshots and plans
Media typeapplication/json
object
code
integer
data
object
snapshots
Array<object>
object
name
string
date
string format: date-time
size
string
snapshot_id
integer
snapshot_uuid
string format: uuid
status
string
plans
Array<object>
object
name
string
price
string
template_id
integer
ram
string
cpu
string
disk
string
currency
string
software
object
name
string
version
string
engine
string
available_inventory_status
boolean
price_per_hour
number format: float
price_per_month
number format: float
total_page
integer
per_page
integer
total_count
integer
errors
object
message
string
Example
{ "code": 200, "data": { "snapshots": [ { "name": "vishnu2", "date": "2025-02-05T12:21:08Z", "size": "0.0 GB", "snapshot_id": 1, "snapshot_uuid": "2c8a29cb-252b-4af7-a28f-3fdce63b44c3", "status": "In progress" } ], "plans": [ { "name": "DBS.16GB", "price": "Rs. 9.0/Hour or Rs. 6570.0 Monthly", "template_id": 21, "ram": "16", "cpu": "4", "disk": "200", "currency": "INR", "software": { "name": "MySQL", "version": "8.0", "engine": "Innodb" }, "available_inventory_status": true, "price_per_hour": 9, "price_per_month": 6570 } ], "total_page": 1, "per_page": 5, "total_count": 2 }, "message": "Success"}